%global git_tag_rev 3b7d5366c88eccf2517ebac57c59eb557c82f46c

Name:		php-wikimedia-cdb
Version:	2.0.0
Release:	%mkrel 1
Summary:	CDB functions for PHP
Group:          Development/PHP

License:	GPLv2+
URL:		http://www.mediawiki.org/wiki/CDB
Source0:	https://github.com/wikimedia/cdb/archive/refs/tags/%{version}.tar.gz

Buildarch:	noarch

#BuildRequires:  php-dba
#BuildRequires:  php-pear-PHPUnit
#BuildRequires:  php-theseer-autoload

Provides:	php-composer(wikimedia/cdb) = %{version}


%description
CDB, short for "constant database", refers to a very fast and highly reliable
database system which uses a simple file with key value pairs. This library
wraps the CDB functionality exposed in PHP via the dba_* functions. In cases
where dba_* functions are not present or are not compiled with CDB support,
a pure-PHP implementation is provided for falling back.


%prep
%setup -qc %{name}-%{version}


%build
#phpab --output src/autoload.php src


%install
mkdir -pm 0755 %{buildroot}%{_datadir}/php/Cdb
cp -rp cdb-%{version}/src/* %{buildroot}%{_datadir}/php/Cdb


%files
%license cdb-%{version}/COPYING
%doc cdb-%{version}/README.md
%{_datadir}/php/Cdb




%changelog
* Tue Apr 19 2022 mokraemer <mokraemer> 2.0.0-1.mga9
+ Revision: 1851944
- new version 2.0.0

* Wed Mar 23 2022 umeabot <umeabot> 1.4.1-4.mga9
+ Revision: 1821784
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.4.1-3.mga8
+ Revision: 1507405
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.4.1-2.mga7
+ Revision: 1287879
- Mageia 7 Mass Rebuild

* Wed Jan 10 2018 mokraemer <mokraemer> 1.4.1-1.mga7
+ Revision: 1192163
- updated php-wikimedia-cdb

* Wed Apr 19 2017 neoclust <neoclust> 1.0.1-3.mga6
+ Revision: 1096792
- imported package php-wikimedia-cdb

